As we make changes to our API, we’ll publish below. Changes to the product itself will be published on Product Updates.
OpenAPI Spec now available
We now publish an OpenAPI spec for the Close API at: https://api.close.com/api/openapi.json
This spec is currently considered experimental and does not yet contain 100% coverage of request/response schemas. If you have any feedback or use cases you’d like to share, please let us know by emailing support@close.com.
applies_to field on Outcomes deprecated for write operations
applies_to field on Outcomes deprecated for write operationsThe applies_to field on the Outcome API is now
deprecated on write operations (create and update). In a future update, the
field will be ignored on create and update requests and will instead be derived
from the type field:
- When
typeiscustom,applies_towill always be["calls", "meetings"]. - When
typeisvm-dropped,applies_towill be["calls"].
The applies_to field will continue to be returned in read responses. No
changes are needed for integrations that only read this field.
Form Submissions API
We have added support for Form Submissions as a new activity type. Form Submissions are created by the system whenever someone fills out a Close Form.
We also introduced new events activity.form_submission.created,
activity.form_submission.updated, and activity.form_submission.deleted,
which you can subscribe to using
webhooks.
Sender field requirements for Email activities
We fixed a bug in the Email API that previously allowed creating emails without a sender in cases where a sender is required.
The sender field is required for emails with status inbox, scheduled,
outbox, or error. It may be omitted in the following cases:
- For
draft, since the sender can be specified later before sending. - For
sent, where it defaults to the email address of the user associated with the email or the owner of the API key.
When updating a draft’s status to scheduled or outbox, the sender field is
now required if the email doesn’t have one yet.
Note titles and pinned_at timestamps
You can now set a Note’s title field when creating or updating a Note via the
Note API.
We have also added the title and pinned_at fields to responses in the
Note API.
Transcription related fields in Meeting API
We have added the transcripts field to responses in the
Meeting API.
Outcome API
We have introduced the Outcome API which allows you to organize & manage outcomes, i.e. standardized results that can be applied to activities such as calls and meetings.
Outcomes can help sales teams track and categorize the results of their interactions with prospects and customers.
Field Enrichment API
We have introduced the Field Enrichment API that uses AI to intelligently populate fields on leads and contacts.
WhatsApp Messages API
We have added support for WhatsApp Messages as a new activity type. This allows integration partners to sync WhatsApp messages into Close, enabling viewing of ongoing WhatsApp conversations within the CRM.
Important: WhatsApp messages can only be synced into Close for viewing and tracking purposes. Close does not send WhatsApp messages directly - actual sending must be done through WhatsApp apps or other third-party WhatsApp platforms.
The new API includes:
- Support for syncing inbound and outbound WhatsApp messages
- File attachment capabilities (up to 25MB total per message)
- Integration links to connect back to external systems
- Thread support via the
response_to_idfield to track message replies
We also introduced new events activity.whatsapp_message.created,
activity.whatsapp_message.updated, and activity.whatsapp_message.deleted,
which you can subscribe to using
webhooks.
lead_id is now optional when creating a Contact or Opportunity
We have added the ability to create a contact without specifying an existing lead_id. Doing so will create a new lead, named after the contact, and associate the new contact with this new lead.
We have also added the ability to create an opportunity without specifying an existing lead_id. Doing so will create a new lead with no name (it will appear in the Close UI as “Untitled”), and associate the new opportunity with this new lead.
This allows integrations to create contacts and opportunities without needing to create leads first.